xpaint (2.9.1.4-4build1) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 07:37:05 -0500

xpaint (2.9.1.4-4) unstable; urgency=medium

  * Orphaning the package

 -- Josue Abarca <jmaslibre@debian.org>  Sat, 15 Aug 2020 19:38:56 -0600

xpaint (2.9.1.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use HTTPS in Vcs-* fields.
  * Bump debhelper compat version to 9 (to have dpkg buildflags exported
    in the env by dh).
  * Stop using hardening-wrapper, make use of dpkg-buildflags with
        DEB_BUILD_MAINT_OPTIONS=hardening=+all
    instead.  Closes: #836665
  * Remove menu file, the menu system has been deprecated by the
    tech-ctte.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 27 Sep 2016 20:47:42 +0000

xpaint (2.9.1.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - Build depend on unversioned dev packages, libtiff-dev and libpng-dev.
      (Closes: #736051, #662567)
    - Build depend on hardening-wrapper to set security hardening compilation
      flags.
    - Bump Standards-Version to 3.9.5
      - Remove obsolete DM-Upload-Allowed control field.
    - Suggest imagemagick instead of imagemagickb typo.
    - libxaw3dxft6: Set section libs. (Closes: #693728)

 -- Per Andersson <avtobiff@gmail.com>  Sat, 02 Aug 2014 14:34:47 +0200

xpaint (2.9.1.4-3) unstable; urgency=low

  * image_h_internal_ifdef.diff patch added in order to use the new macro
    identifier _X11_XLIB_H_ or the old one _XLIB_H_, due to the changes in
    the new version of Xlib.h. (closes: bug#614484)
  * configure_indirect_linking.diff patch added in order to link against
    libfontconfig1, fixes FTBFS. Thanks to Roy Jamison
    <xteejyx@googlemail.com> (closes: bug#556719) (LP: #667502)
  * debian/control Standards-Version increased to 3.9.1, no changes
    needed.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Sun, 27 Feb 2011 09:27:27 -0600

xpaint (2.9.1.4-2) unstable; urgency=low

  * debian/copyright updated to include missing copyright holders and
    licenses. (closes: bug#609863)
  * debian/control DM-Upload-Allowed control field added.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Thu, 13 Jan 2011 11:11:43 -0600

xpaint (2.9.1.4-1) unstable; urgency=low

  * New upstream release.
    - debian/ directory removed.
    - Added man pages for imgmerge and pngconcat (provided by Debian
      maintainer).
  * debian/rules
    - Unnecessary export removed.
    - Use of dh_auto_configure script plus xaw3dxft.so option.
    - mkdir app-defaults/out added to avoid problems with git.
  * debian/patches/imgmerge-c-interface-fix.diff dropped,
    merged upstream.
  * debian/patches/Local.config.diff updated.
  * debian/patches/imgmerge-sensible-editor.diff updated.
  * debian/patches/xpaint_ocr_upstreamer.diff dropped,
    merged upstream.
  * debian/patches/xpaint.man.in.diff droped, merged upstream.
  * decian/control
    - Standards-Version increased to 3.9.0, no changes needed.
    - Vcs-Git and VCs-Browser fields added.
    - Package split into xpaint, xpaint-dev and libxaw3dxft6.
    - libxmu-dev, libxt-dev, libsm-dev, libice-dev, libxext-dev,
      libx11-dev, x11proto-core-dev, x11proto-xext-dev, flex
      and bison added to build-depends.
    - libxmu-dev, libxt-dev, libsm-dev, libice-dev, libxext-dev,
      libx11-dev, libxpm-dev, libxft-dev, libc-dev added to depends
      off binary package xpaint-dev.
  * debian/libxaw3dxft6.symbols added.
  * imakefile_extra_includes.diff patch added in order to add
    the ./xaw3dxft directory to the include path.
  * debian/copyright License of xaw3dxft added.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Thu, 15 Jul 2010 16:29:21 -0600

xpaint (2.8.13-2) unstable; urgency=low

  * debian/rules override dh_auto_configure to avoid inappropriate
    parameters and build using the Xaw3dg library instead of pain Xaw
  * Build dependen on version >= 7.0.50~ of debhelper because debhelper
    overrides need it

 -- Josue Abarca <jmaslibre@debian.org.gt>  Wed, 07 Jul 2010 10:10:25 -0600

xpaint (2.8.13-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/rules switch to dh 7
  * Local.config.diff patch to use sensible-editor instead of emacs
    and fix RPATH issue
  * imgmerge.diff patch to use sensible-editor instead of emacs
  * xpaint.man.in.diff patch to fix a typo and an hyphen used as minus
    sign
  * debian/clean added, to delete Local.xawdefs and xpaint.man
    because this two files are generated at build time
  * xpaint.man added to debian/xpaint.manpages to proper installation
  * debian/watch updated, thanks to Raphael Geissert (closes: bug#449708)
  * debian/menu section changed from Apps to Applications.
  * debian/pdfconcat.1 manpage added
  * debian/imgmerge.1 manpage added
  * debian/copyright updated
  * debian/package.install added to install xpaint.desktop and
    xpaint.svg icon (closes: bug#478994)
  * debian/control
    - Suggests gv instead gs-pl (closes: bug#539658)
    - Suggests imagemagick added
    - Suggests ocrad added
    - Build depends on xutils-dev instead of xutils thanks to Cyril
      Brulebois (closes: bug#485723)
    - Homepage field added and url removed from description.
    - now depends on ${misc:Depends}
    - updated policy to 3.8.4 (no changes needed).
  
 -- Josue Abarca <jmaslibre@debian.org.gt>  Thu, 21 Jan 2010 10:34:55 -0600

xpaint (2.8.8-1) unstable; urgency=low

  * New upstream release
  * New Maintainer Thanks to Hugo Vanwoerkom for his previous work
    (closes: bug#560990)
  * debian/lintian-overrides deleted. Lintian warning fixed

 -- Josue Abarca <jmaslibre@debian.org.gt>  Tue, 19 Jan 2010 13:20:31 -0600

xpaint (2.7.8.1-1.2) unstable; urgency=low

  * Porter NMU.
  * Added support for GNU/kFreeBSD (closes: bug#332999).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 23:06:51 +0100

xpaint (2.7.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload during bug-squashing party.
  * Local.config: adjust paths after the X migration (Closes: #364080).

 -- Guilherme de S. Pastore <gpastore@debian.org>  Sun, 23 Apr 2006 09:36:04 -0300

xpaint (2.7.8.1-1) unstable; urgency=low

  * New upstream release
    - incorporates debian/ directory
    - also incorporates previous manpage patch
    - as well as incorporates previous errno patch
    - compiler options changed (Closes: #327105)
  * debian/rules was changed
    - get the lintian overrides in the .deb
  * debian/watch was changed with another URL
  * configure script was changed to eliminate warning that
    the xaw3dg library was incompletely installed
  * Suggests: gs changed to gs-gpl
  * Standards Version changed to 3.6.2
  * Free Software Foundation address corrected in copyright

 -- Hugo Vanwoerkom <hugovanwoerkom@yahoo.com>  Wed, 14 Sep 2005 08:23:01 -0500

xpaint (2.7.6-1) unstable; urgency=low

  * New upstream release
  * No debian/README.Debian: default recommended widget set is now Xaw3d
  * debian/control: build-depend on xaw3dg-dev
  * debian/rules: changed make to use xaw3dg instead of xaw

 -- Hugo Vanwoerkom <hugovanwoerkom@yahoo.com>  Thu, 31 Mar 2005 06:50:41 -0600

xpaint (2.7.3-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #268910)
  * New upstream release (Closes: #197934)
    + incorporates patches from previous .diff.gz, thus dropping those,
      except for the errno patch from Goswin
    + added patch for manpage section
  * debian/README.Debian: rewritten, explaining why not using the included
    Xaw95 widgets but the default (ugly) Xaw Athena widgets
  * debian/{conffiles,dirs}: dropped, not needed
  * debian/control:
    + updated Standards-Version
    + no more Suggests: on eeyes as that package doesn't exist anymore
    + added Suggests: on gs for PS/PDF reading and on lpr for printing
    + new description, added upstream homepage
    + added soft dependency of C Script Editor->file->External editor on
      x-terminal-emulator -e sensible-editor
    + redid Build-Depends
  * debian/copyright: extended to reflect upstream changes, updated
  * debian/menu: longtitle and binary path adjusted
  * debian/rules:
    + DH_COMPAT -> debian/compat, raised to 4
    + complete redo, exporting some stuff to debian/docs, moving files
      out of /usr/X11R6

 -- Hugo Vanwoerkom <hugovanwoerkom@yahoo.com>  Sun, 27 Feb 2005 09:45:49 -0600

xpaint (2.6.2-3) unstable; urgency=low

  * QA Group upload orphaning this package
  * Acknowledge old NMUs (closes: #237032, #86030, #86325, #170000, #262825)
  * debian/copyright: refer to common license file for GPL
  * debian/menu: quote unquoted strings
  * debian/menu: correct path to application
  * debian/control: build-depend on libpng12-dev instead of libpng12-dev

 -- Andrew Pollock <apollock@debian.org>  Sun,  7 Nov 2004 14:46:17 +1100

xpaint (2.6.2-2.3) unstable; urgency=medium

  * NMU
  * Rebuild against libtiff4 (closes: #262825).
  * Use libpng-dev instead of libpng2-dev.
  * Build against libxaw7-dev.

 -- Josselin Mouette <joss@debian.org>  Wed,  4 Aug 2004 14:09:03 +0200

xpaint (2.6.2-2.2) unstable; urgency=low

  * remove declarations of "extern int errno;" as required by ansi-C
    (Closes: #237032)

 -- Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>  Sat, 17 Apr 2004 19:00:15 +0100

xpaint (2.6.2-2.1) unstable; urgency=low

  * NMU (but maybe this package should be orphaned)
    - Fixed FTBFS by changing Build-Depends to libxaw6-dev (Closes: #170000)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  8 Jan 2004 23:06:15 +0100

Old Changelog:
xpaint (2.6.2-2) unstable; urgency=low, closes=90050

  * readRC.c (openTemp): use mkstemp and fdopen instead of mktemp and
    fopen.  (We're still reopening by name later, when readRC passes the
    resulting pattern or brush to ReadMagic, but that's ok; mkstemp's use
    of O_EXCL has nailed it down already.) (Closes: #90050)

 -- Mark W. Eichin <eichin@thok.org>  Wed, 30 Jan 2002 03:23:57 -0500

xpaint (2.6.2-1) unstable; urgency=low, closes=71411 126618 61059

  * New upstream release. (Closes: #71411 #61059)
  * rw/writePS.c: use time.h to get ctime declaration (from
    jdaily@progeny.com, noticed in ia64 porting.) (Closes: #126618)
  * XPaint.ad.in: use eeyes instead of (non-free) xv as preview and print
    tool (in a user-overridable resource.)
  * debian/control: Suggests eeyes.

 -- Mark W. Eichin <eichin@thok.org>  Wed, 30 Jan 2002 01:41:27 -0500

xpaint (2.6.1-1) unstable; urgency=low, closes=80915 80058 86325 86030 67976 71411

  * New upstream version.  Thanks for all the NMU's.
    (Closes: #80915 #80058 #86325 #86030 #67976 #71411)
  * debian/copyright: update with all copyright references.  Note the one
    GPL'ed file, and the new download location.
  * debian/control: update my email address.
  * debian/menu: Added bitmap hint (Closes: #80058).

 -- Mark W. Eichin <eichin@thok.org>  Sat, 17 Mar 2001 19:07:23 -0500

xpaint (2.5.1-4.2) unstable; urgency=low

  * NMU
  * recompiled with modern xlibs-dev and xutils to migrate app-defaults file
    (Closes: #86030)
  * got rid of build-dependency on debstd; partial migration to debhelper
  * lintian 1.20.9 clean
  * tweaked descriptions in control and menu files
  * debian/control:
    - added Build-Depends
    - bumped Standards-Version to 3.5.2 (Closes: #80915)

 -- Branden Robinson <branden@debian.org>  Fri, 16 Mar 2001 21:22:27 -0500

xpaint (2.5.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Recompiled against modern xpm4g-dev to get proper dependency.
  * debian/rules: add -isp to dpkg-gencontrol

 -- Branden Robinson <branden@debian.org>  Fri,  8 Sep 2000 01:54:51 -0500

xpaint (2.5.1-4) unstable; urgency=low, closes=43638

  * Rebuild with libjpeg62. [#43638]

 -- Mark W. Eichin <eichin@thok.org>  Mon, 20 Sep 1999 03:38:05 -0400

xpaint (2.5.1-3) unstable; urgency=low, closes=11833 9263 11817 26929

  * Pull in changes from Vincent Renardias <vincent@waw.com> NMU. (Thanks!)
  * XPaint.ad.in: downcase "lasso" resource. [#11833]
  * Bugs #9263 & #11817 are already fixed.
  * Rebuild with libpng2-dev. [#26929]
  * debian/changelog, debian/README.debian: Update mailing address.

 -- Mark W. Eichin <eichin@thok.org>  Sun, 17 Jan 1999 02:23:48 -0500

xpaint (2.5.1-2) unstable; urgency=low

  * rebuild with libpng0g
  * debian/shlibs.local: delete, since it refers to old libc5 versions of
    those libraries anyhow.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Sat,  8 Nov 1997 00:24:06 -0500

xpaint (2.5.1-1) unstable; urgency=low

  * new upstream release.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Tue,  4 Nov 1997 14:17:34 -0500

xpaint (2.4.8-2) unstable; urgency=low

  * debian/menu: new-style entry from joost, seperate title/longtitle.
  * rebuild with libpng1.
  * debian/control: only "suggest" netpbm since it's in non-free.
  * misc.h: fix declaration of random().
  * rw/rwTable.c (RWGetMsg): fix sys_errlist declaration.
  * rw/libpnmrw.c (pm_perror): ditto.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Tue,  4 Nov 1997 02:22:11 -0500

xpaint (2.4.8-1) unstable; urgency=low

  * New upstream release by new author; new packaging standards.
  * includes shlibs.local values for missing/broken libjpeg, libtiff.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Wed, 26 Feb 1997 12:37:58 -0500


